const path=require('path')
module.exports={
    mode:'production',
    entry:'./src/index.js',
    output:{
        path:path.resolve(__dirname,'target'),
        filename:'webpack-numbers.js',
        library:{
            name:'webpackNumbers',
            type:'umd',
        },
        globalObject:'globalThis',
    },
    externals:{
        lodash:{
            commonjs:'lodash',
            commonjs2:'lodash',
            amd:'lodash',
            root:'_',
        },
    },
}